# Get Domain Name 95th Percentile Bandwidth Data [New] - GetUcdnDomain95BandwidthV2

## Overview

Get domain name peak bandwidth data






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUcdnDomain95BandwidthV2`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.dezai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **BeginTime** | int | The start date of the query, in Unix Timestamp format. |**Yes**|
| **EndTime** | int | The end date of the query, in Unix Timestamp format. |**Yes**|
| **DomainId.N** | string | Domain ID, the ID generated when creating a domain. Default to all domains. |No|
| **Areacode** | string | Query bandwidth region 'cn' represents domestic, 'abroad' represents overseas. If not filled, the default is all regions. |No|
| **IsDcdn** | boolean | Is it dynamically accelerated? The default is false. |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Time** | int | Query the 95 bandwidth time point during the time period Unix timestamp |**Yes**|
| **CdnBandwidth** | float | Query the 95th percentile bandwidth value of CDN during the period, unit Mbps |No|




## Example

### Request Example
    
```
https://api.dezai.com/?Action=GetUcdnDomain95BandwidthV2
&ProjectId=XczGqEQp
&BeginTime=5
&EndTime=8
&DomainId.n=VqFYNgfW
&Areacode=gwlMdkcg
&IsDcdn=true
```

### Response Example
    
```json
{
  "Action": "GetUcdnDomain95BandwidthV2Response",
  "BandwidthList": [
    {
      "CdnBandwidth": 8.65344,
      "Time": 6
    }
  ],
  "CdnBandwidth": 4.56228,
  "RetCode": 0
}
```





